<template src="./template.html"></template>

<script lang="ts">
import { Component, Vue, Watch } from "nuxt-property-decorator";
import { apiErrorHandler } from "~/utils/apiHanlers";
var momentz = require("moment-timezone");
@Component({})
export default class SellerSettingsPaymentMethodComponent extends Vue {
  listPayment = [];
  loadingTable = false;
  mounted() {
    this.onGetListSellerPayment();
  }

  async onGetListSellerPayment() {
    try {
      this.loadingTable = true;
      // this.$store.commit("adminProduct/setLoadingFullPage", true);
      const response = await this.$api.payment.sellerListPayment();
      if (response?.data) {
        this.listPayment = response.data;
      }
    } catch (error) {
      apiErrorHandler(error, this);
    } finally {
      this.loadingTable = false;
      // this.$store.commit("adminProduct/setLoadingFullPage", false);
    }
  }

  async onTogglePayment(payment: any) {
    try {
      await this.$api.payment.sellerTogglePayment(payment._id);
      this.$pushNotification.success("Update status successfully");
      this.onGetListSellerPayment();
    } catch (error) {
      apiErrorHandler(error, this);
    }
  }

  async onTogglePaypalCard(payment: any) {
    try {
      await this.$api.payment.sellerSettingTogglePaypalCard(payment._id);
      this.$pushNotification.success("Toggle paypal card successfully");
    } catch (error) {
      apiErrorHandler(error, this);
    }
  }
}
</script>
